Packages - Packaging Request #3201

[zerotier-one] Nonfree BSL license
2022-03-10 12:23 PM - toucan

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

ZeroTier used to be under the GNU General Public License, but has since been re-licensed under the Business Source License,
which to my understanding is nonfree.

History

#1 - 2022-03-10 05:43 PM - gap
Frankly awesome catch!
Confirmed.

Worringly, it looks like this happened back on 23 Aug. 2019:
<https://github.com/zerotier/ZeroTierOne/commit/52a166a71f4e0124c7b22123884911338aa0d698>

However, it has a time delay clause stating that the work becomes free, licensed under the Apache 2.0 license, after 4 years.

The last version which was free (1.4.2) could be packaged, although it might rot and be incompatible with its packaged dependencies.
Then, as the time delay point is reached, the newly-liberated versions could be packaged.

#2 - 2022-03-31 12:17 AM - GNUtoo

- Status changed from unconfirmed to open

- Tracker changed from Freedom Issue to Packaging Request

Thanks a lot.

I've now blacklisted it so it should be removed automatically soon.

I'm moving this bugreport to packaging request as now it's about how to add back a libre version.

#3 - 2022-08-24 10:27 PM - bill-auger

- Status changed from open to fixed

i usually close these after blacklisting, if there is no immediate plan to liberate the package - this ticket is the blacklist BR reference; so it could be
reopened at a later time
